
# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

# Prepare the new configuration files
for file in etc/profile.d/uim.sh.new etc/profile.d/uim.csh.new ; do
  if [ -e $(dirname $file)/$(basename $file .new) -a -x $(dirname $file)/$(basename $file .new) ]; then
    chmod 755 $file
  else
    chmod 644 $file
  fi
  config $file
done

( cd usr/share/uim/pixmaps ; rm -rf m17n-ja-tcode.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ja-tcode.png m17n-ja-tcode.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-latn-pre.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/latn-pre.png m17n-latn-pre.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-tonepy.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-tonepy.png m17n-zh-tonepy.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-rfc1345.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/rfc1345.png m17n-rfc1345.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-sv-post.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/sv-post.png m17n-sv-post.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-latn-post.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/latn-post.png m17n-latn-post.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-am-sera.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/am-sera.png m17n-am-sera.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-kk-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/kk-kbd.png m17n-kk-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-dv-phonetic.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/dv-phonetic.png m17n-dv-phonetic.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-bo-wylie.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/bo-wylie.png m17n-bo-wylie.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-si-wijesekera.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/si-wijesekera.png m17n-si-wijesekera.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-th-kesmanee-2.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/th-kesmanee-2.png m17n-th-kesmanee-2.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ka-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ka-kbd.png m17n-ka-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-kn-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/kn-itrans.png m17n-kn-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-pinyin.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-pinyin.png m17n-zh-pinyin.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-th-tis820-2.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/th-tis820-2.png m17n-th-tis820-2.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-fa-isiri.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/fa-isiri.png m17n-fa-isiri.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-kk-arabic.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/kk-arabic.png m17n-kk-arabic.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-si-samanala.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/si-samanala.png m17n-si-samanala.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-sr-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/sr-kbd.png m17n-sr-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-tonepy-b5.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-tonepy-b5.png m17n-zh-tonepy-b5.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-he-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/he-kbd.png m17n-he-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-vi-viqr.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/vi-viqr.png m17n-vi-viqr.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-hr-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/hr-kbd.png m17n-hr-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-unicode.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/unicode.png m17n-unicode.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-th-pattachote-2.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/th-pattachote-2.png m17n-th-pattachote-2.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-km-yannis.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/km-yannis.png m17n-km-yannis.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-as-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/as-itrans.png m17n-as-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-el-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/el-kbd.png m17n-el-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ar-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ar-kbd.png m17n-ar-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ru-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ru-kbd.png m17n-ru-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ta-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ta-itrans.png m17n-ta-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-vi-telex.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/vi-telex.png m17n-vi-telex.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ja-anthy.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ja-anthy.png m17n-ja-anthy.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-quick.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-quick.png m17n-zh-quick.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-py-gb.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-py-gb.png m17n-zh-py-gb.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-bn-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/bn-itrans.png m17n-bn-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-gu-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/gu-itrans.png m17n-gu-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-py.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-py.png m17n-zh-py.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-tonepy-gb.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-tonepy-gb.png m17n-zh-tonepy-gb.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ru-yawerty.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ru-yawerty.png m17n-ru-yawerty.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-th-kesmanee.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/th-kesmanee.png m17n-th-kesmanee.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-lo-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/lo-kbd.png m17n-lo-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ko-han2.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ko-han2.png m17n-ko-han2.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-th-tis820.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/th-tis820.png m17n-th-tis820.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-bn-unijoy.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/bn-unijoy.png m17n-bn-unijoy.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-bopo-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/bopo-kbd.png m17n-bopo-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ko-romaja.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ko-romaja.png m17n-ko-romaja.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-or-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/or-itrans.png m17n-or-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-lo-lrt.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/lo-lrt.png m17n-lo-lrt.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-hi-typewriter.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/hi-typewriter.png m17n-hi-typewriter.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-my-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/my-kbd.png m17n-my-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-sk-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/sk-kbd.png m17n-sk-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-ml-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/ml-itrans.png m17n-ml-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-hy-kbd.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/hy-kbd.png m17n-hy-kbd.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-hi-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/hi-itrans.png m17n-hi-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-th-pattachote.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/th-pattachote.png m17n-th-pattachote.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-cangjie.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-cangjie.png m17n-zh-cangjie.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-en-ispell.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/en-ispell.png m17n-en-ispell.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-syrc-phonetic.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/syrc-phonetic.png m17n-syrc-phonetic.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-pa-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/pa-itrans.png m17n-pa-itrans.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-vi-vni.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/vi-vni.png m17n-vi-vni.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-zh-py-b5.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/zh-py-b5.png m17n-zh-py-b5.png )
( cd usr/share/uim/pixmaps ; rm -rf m17n-te-itrans.png )
( cd usr/share/uim/pixmaps ; ln -sf /usr/share/m17n/icons/te-itrans.png m17n-te-itrans.png )
( cd usr/lib ; rm -rf libuim-scm.so )
( cd usr/lib ; ln -sf libuim-scm.so.0.0.0 libuim-scm.so )
( cd usr/lib ; rm -rf libuim.so.6 )
( cd usr/lib ; ln -sf libuim.so.6.0.0 libuim.so.6 )
( cd usr/lib ; rm -rf libuim-custom.so.2 )
( cd usr/lib ; ln -sf libuim-custom.so.2.0.0 libuim-custom.so.2 )
( cd usr/lib ; rm -rf libgcroots.so )
( cd usr/lib ; ln -sf libgcroots.so.0.1.0 libgcroots.so )
( cd usr/lib ; rm -rf libuim.so )
( cd usr/lib ; ln -sf libuim.so.6.0.0 libuim.so )
( cd usr/lib ; rm -rf libuim-custom.so )
( cd usr/lib ; ln -sf libuim-custom.so.2.0.0 libuim-custom.so )
( cd usr/lib ; rm -rf libuim-scm.so.0 )
( cd usr/lib ; ln -sf libuim-scm.so.0.0.0 libuim-scm.so.0 )
( cd usr/lib ; rm -rf libgcroots.so.0 )
( cd usr/lib ; ln -sf libgcroots.so.0.1.0 libgcroots.so.0 )
